=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2010-06-16 02:27:44 +0000
+++ client/drizzle.cc	2010-06-19 15:32:47 +0000
@@ -1369,21 +1369,9 @@
       // check if --password= and return a default value
       return make_pair("password", PASSWORD_SENTINEL);
     }
-
-    if(s.length()>12 && (s[10] == '"' || s[10] == '\''))
-    {
-      // check if --password has quotes, remove quotes and return the value
-      return make_pair("password", s.substr(11,s.length()-1));
-    }
-
-    // if all above are false, it implies that --password=value, return value.
-    return make_pair("password", s.substr(11));
   }
 
-  else
-  {
-    return make_pair(string(""), string(""));
-  } 
+  return make_pair(string(""), string(""));
 }
 
 int main(int argc,char *argv[])
@@ -1711,17 +1699,6 @@
       opt_password= current_password;
       tty_password= false;
     }
-    char *start= (char *)current_password.c_str();
-    char *temp_pass= (char *)current_password.c_str();
-    while (*temp_pass)
-    {
-        /* Overwriting password with 'x' */
-        *temp_pass++= 'x';
-    }
-    if (*start)
-    {
-      start[1]= 0;
-    }
   }
   else
   {

=== modified file 'plugin/auth_file/tests/r/basic.result'
--- plugin/auth_file/tests/r/basic.result	2010-04-02 22:48:56 +0000
+++ plugin/auth_file/tests/r/basic.result	2010-06-19 15:32:47 +0000
@@ -8,3 +8,5 @@
 1
 connect(localhost,auth_file_password,bad_password,test,MASTER_PORT,);
 ERROR 28000: Access denied for user 'auth_file_password'@'LOCALHOST' (using password: YES)
+1
+1

=== modified file 'plugin/auth_file/tests/t/basic.test'
--- plugin/auth_file/tests/t/basic.test	2010-04-02 22:48:56 +0000
+++ plugin/auth_file/tests/t/basic.test	2010-06-19 15:32:47 +0000
@@ -17,3 +17,6 @@
 --replace_regex /@'.*?'/@'LOCALHOST'/
 --error ER_ACCESS_DENIED_ERROR
 connect (bad_user_password,localhost,auth_file_password,bad_password,,);
+
+# Test that the command line client processes direct passwords properly
+--exec $DRIZZLE_TEST_DIR/../client/drizzle --host=localhost --port=$MASTER_MYPORT -e "SELECT 1" --user=auth_file_password --password=test_password 2>&1

